Get search by ID
curl --request GET \
--url https://api.godiligent.ai/v1/name-screenings/searches/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.godiligent.ai/v1/name-screenings/searches/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.godiligent.ai/v1/name-screenings/searches/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4",
"reference": "CUST-2024-001",
"status": "COMPLETED",
"input": [
{
"label": "full_name",
"value": "John Doe"
}
],
"hit_counts": {
"FALSE_POSITIVE": 2,
"TRUE_POSITIVE": 1,
"UNRESOLVED": 3
},
"hits": [
{
"id": "d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4",
"provider_reference": "HIT-001",
"profile_reference": "EA7624703",
"provider_url": "https://example.com/hit-001",
"status": "UNRESOLVED",
"fields": [
{
"label": "full_name",
"value": "John Doe"
}
],
"hit_categories": [
"SANCTION"
],
"remediation": {
"sync_status": "SYNCED",
"determination": "FALSE_POSITIVE",
"action": "SET_AS_FALSE_POSITIVE",
"status": "FALSE_POSITIVE",
"action_taken": "RESOLVED",
"determined_at": "2024-01-15T10:30:00Z",
"author": "DILIGENT",
"summary": "No match - different person"
}
}
],
"created_at": "2024-10-02T12:00:00Z",
"updated_at": "2024-10-02T14:30:00Z"
}Name Screening
Get Search
Retrieve a name screening search with hits and remediation data
GET
/
v1
/
name-screenings
/
searches
/
{id}
Get search by ID
Authorizations
Path Parameters
Search ID (UUID)
Example:
"d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4"
Response
Search retrieved successfully
Search ID
Example:
"d6e3b214-30b1-4401-a1b8-a1bd3c6a84e4"
Search reference identifier
Example:
"CUST-2024-001"
Search status
Available options:
PENDING, COMPLETED, FAILED Example:
"COMPLETED"
Profile fields for the entity being screened
- Option 1
- Option 2
Show child attributes
Show child attributes
Count of hits by status
Show child attributes
Show child attributes
Alerts created from this search
Show child attributes
Show child attributes
Search creation timestamp
Example:
"2024-10-02T12:00:00Z"
Search last updated timestamp
Example:
"2024-10-02T14:30:00Z"
⌘I